import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

public class Formatter {

	private static final Logger LOGGER = Logger.getLogger(Formatter.class.getName());
	private static final String LOG_FILE = "log.txt";
	private static final String LOG_FORMAT = "%1$tF %1$tT [%4$s] %3$s: %5$s%n";

	public static void main(String[] args) throws IOException {
		// configure logger
		LOGGER.setLevel(Level.FINE);
		LOGGER.setUseParentHandlers(false);
		System.setProperty("java.util.logging.SimpleFormatter.format", LOG_FORMAT);
		FileHandler handler = new FileHandler(LOG_FILE);
		handler.setFormatter(new SimpleFormatter());
		LOGGER.addHandler(handler);

		// use logger
		LOGGER.severe("Error message");
		LOGGER.warning("Warning message");
		LOGGER.info("Information message");
		LOGGER.config("Configuration message");
		LOGGER.fine("Tracing message");
	}
}
