import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Handler {

	private static final Logger LOGGER = Logger.getLogger(Handler.class.getName());
	private static final String LOG_FILE = "log.txt";

	public static void main(String[] args) throws IOException {
		// configure logger
		LOGGER.setLevel(Level.FINE);
		LOGGER.setUseParentHandlers(false);
		LOGGER.addHandler(new FileHandler(LOG_FILE));

		// use logger
		LOGGER.severe("Error message");
		LOGGER.warning("Warning message");
		LOGGER.info("Information message");
		LOGGER.config("Configuration message");
		LOGGER.fine("Tracing message");
	}
}
